Subject: Re: git svn fetch segfaults

From: Dennis Schridde <[email-masked]>
Date: Thu, 10 Jan 2008 02:45:01 +0100

Replying to this, as I haven't recieved the newer mail. (Not subscribed.)
Handcopied the text, hope I didn't forgot anything.

> > > Has anybody determined which executable is the segfaulting one?
> >
> > I just tried to, but it's still running, at r600 now.
> >
> > > If it is svn executable spawned by Perl that runs git-svn, or
> > > libsvn shared object linked to Perl while running git-svn, I
> > > suspect testing with different git versions will not be very
> > > productive.
> >
> > Oh well, anyway, just for the record:
> > doener@atjola:~ $ svn --version
> > svn, version 1.4.4 (r25188)
> >
> > doener@atjola:~ $ git --version
> > git version 1.5.4.rc1.11.gd2f82
>
> It finished by now, no segfault with --use-svnsync-props.
For me it always segfaulted at r13 in tags/1.10a.
I crosses r13 before that already (trunk), but doesn't crash there.

I am now recompiling svn,git,perl to create a coredump, will the rerun it and 
hopefully get some backtraces from the dump.

Btw, I am running perl 5.8.8, in case that matters somehow.

--Dennis